Skip to main content
PATCH
/
2025-04
/
marketing-solutions
/
ad-sets
/2025-04/marketing-solutions/ad-sets
curl --request PATCH \
  --url https://api.criteo.com/2025-04/marketing-solutions/ad-sets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "attributes": {
        "attributionConfiguration": {},
        "bidding": {
          "bidAmount": {
            "value": 123
          }
        },
        "budget": {
          "budgetAmount": {
            "value": 123
          }
        },
        "name": "<string>",
        "scheduling": {
          "endDate": {
            "value": "2023-11-07T05:31:56Z"
          },
          "startDate": {
            "value": "2023-11-07T05:31:56Z"
          }
        },
        "targeting": {
          "deliveryLimitations": {
            "devices": [],
            "environments": [],
            "operatingSystems": []
          },
          "frequencyCapping": {
            "value": {
              "maximumImpressions": 123
            }
          },
          "geoLocation": {
            "countries": {
              "value": {
                "values": [
                  "<string>"
                ]
              }
            },
            "subdivisions": {
              "value": {
                "values": [
                  "<string>"
                ]
              }
            },
            "zipCodes": {
              "value": {
                "values": [
                  "<string>"
                ]
              }
            }
          }
        }
      },
      "id": "<string>",
      "type": "PatchAdSetV24Q3"
    }
  ]
}
'
import requests

url = "https://api.criteo.com/2025-04/marketing-solutions/ad-sets"

payload = { "data": [
{
"attributes": {
"attributionConfiguration": {},
"bidding": { "bidAmount": { "value": 123 } },
"budget": { "budgetAmount": { "value": 123 } },
"name": "<string>",
"scheduling": {
"endDate": { "value": "2023-11-07T05:31:56Z" },
"startDate": { "value": "2023-11-07T05:31:56Z" }
},
"targeting": {
"deliveryLimitations": {
"devices": [],
"environments": [],
"operatingSystems": []
},
"frequencyCapping": { "value": { "maximumImpressions": 123 } },
"geoLocation": {
"countries": { "value": { "values": ["<string>"] } },
"subdivisions": { "value": { "values": ["<string>"] } },
"zipCodes": { "value": { "values": ["<string>"] } }
}
}
},
"id": "<string>",
"type": "PatchAdSetV24Q3"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
attributes: {
attributionConfiguration: {},
bidding: {bidAmount: {value: 123}},
budget: {budgetAmount: {value: 123}},
name: '<string>',
scheduling: {
endDate: {value: '2023-11-07T05:31:56Z'},
startDate: {value: '2023-11-07T05:31:56Z'}
},
targeting: {
deliveryLimitations: {devices: [], environments: [], operatingSystems: []},
frequencyCapping: {value: {maximumImpressions: 123}},
geoLocation: {
countries: {value: {values: ['<string>']}},
subdivisions: {value: {values: ['<string>']}},
zipCodes: {value: {values: ['<string>']}}
}
}
},
id: '<string>',
type: 'PatchAdSetV24Q3'
}
]
})
};

fetch('https://api.criteo.com/2025-04/marketing-solutions/ad-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "attributes": {},
      "id": "<string>",
      "type": "AdSetIdV24Q3"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

List of adsets to patch.

List of input resources

data
object[] | null

Response

200 - application/json

List of patched adSets.

List of output resources

data
object[] | null
read-only
errors
object[] | null
read-only
warnings
object[] | null
read-only